element <mapResource>

Namespace: | http://www.nokia.com/sdt/emf/component
Type: | embedded (extension of mappingResourceType)
Content: | complex, 7 attributes, 12 elements
Defined: | globally within component.xsd, see XML source
Used: | at 2 locations

XML Representation Summary
<mapResource
| baseName | = | xsd:string
| headers | = | list of xsd:string
| id | = | xsd:string
| rssFile | = | xsd:string
| standalone | = | ("false" | "true" | "never" | "default" | "always") : "default"
| struct | = | xsd:string
| unnamed | = | xsd:boolean : "false"
| >
Content: | (mapSimpleMember | mapInstanceMember | mapReferenceMember | mapFixedMember | mapEnumMember | mapIdentifierMember | mapArrayMember | mapResourceMember | mapBitmaskMember | mapMemberFromType | mapIntoProperty | select)*
</mapResource>

May contain elements (12):

  mapArrayMember, mapBitmaskMember, mapEnumMember, mapFixedMember, mapIdentifierMember, mapInstanceMember, mapIntoProperty, mapMemberFromType, mapReferenceMember, mapResourceMember, mapSimpleMember, select

May be included in elements (2):

  choice, sourceMapping

Known Usage Locations

- Within embedded complexTypes of elements (2):
  choice [ref], sourceMapping [ref]

Annotation
Map an instance to a RESOURCE.
Embedded Type Detail

Type Derivation Summary twoWayMappingType mappingResourceType (extension) complexType

XML Source

<xsd:element name="mapResource"> <xsd:annotation> <xsd:documentation>Map an instance to a RESOURCE.</xsd:documentation> </xsd:annotation> <xsd:complexType> <xsd:complexContent> <xsd:extension base="mappingResourceType"> <xsd:attribute default="false" name="unnamed" type="xsd:boolean" use="optional"> <xsd:annotation> <xsd:documentation> This tells whether to emit the resource without a name </xsd:documentation> </xsd:annotation> </xsd:attribute> <xsd:attribute default="default" name="standalone" type="standaloneType" use="optional"> <xsd:annotation> <xsd:documentation> This tells whether the resource must be emitted as a standalone resource statement (always), regardless of whether it is also generated as a resource expression, or whether it will never be emitted unless referenced by another resource (never). The default behavior is to emit it if not generated as an expression. </xsd:documentation> </xsd:annotation> </xsd:attribute> <xsd:attribute name="baseName" type="xsd:string" use="optional"> <xsd:annotation> <xsd:documentation> Force the base name of the resource. If unspecified, resources are named after the instance and member or element being mapped. </xsd:documentation> </xsd:annotation> </xsd:attribute> <xsd:attribute name="rssFile" type="xsd:string" use="optional"> <xsd:annotation> <xsd:documentation> Force the RSS filename (but not directory). This is used to redirect resources to a top-level RSS file. </xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:complexContent> </xsd:complexType> </xsd:element>

Attribute Detail
baseName

  Force the base name of the resource. If unspecified, resources are
  named after the instance and member or element being mapped.

  Type: | xsd:string
  Use: | optional
  Defined: | locally, within this element

  XML Source

  <xsd:attribute name="baseName" type="xsd:string" use="optional"> <xsd:annotation> <xsd:documentation> Force the base name of the resource. If unspecified, resources are named after the instance and member or element being mapped. </xsd:documentation> </xsd:annotation> </xsd:attribute>

headers

  The list of headers required to declare the STRUCT.

  Type: | listOfStrings
  Use: | optional
  Defined: | locally, within mappingResourceType complexType

id

  The unique identifier for this resource within a component.
  Every mapResourceXXX must have an identifier, either implicitly
  or explicitly defined.
  If unspecified, an identifier is automatically generated for
  mapResourceMember or mapResourceElement elements. Otherwise,
  missing identifiers are reported at errors at source mapping time.

  Type: | xsd:string
  Use: | optional
  Defined: | locally, within mappingResourceType complexType

rssFile

  Force the RSS filename (but not directory). This is used to redirect
  resources to a top-level RSS file.

  Type: | xsd:string
  Use: | optional
  Defined: | locally, within this element

  XML Source

  <xsd:attribute name="rssFile" type="xsd:string" use="optional"> <xsd:annotation> <xsd:documentation> Force the RSS filename (but not directory). This is used to redirect resources to a top-level RSS file. </xsd:documentation> </xsd:annotation> </xsd:attribute>

standalone

  This tells whether the resource must be emitted as a standalone resource statement (always),
  regardless of whether it is also generated as a resource expression, or whether it
  will never be emitted unless referenced by another resource (never). The default behavior
  is to emit it if not generated as an expression.

  Type: | standaloneType
  Use: | optional
  Default: | "default"
  Defined: | locally, within this element

  XML Source

  <xsd:attribute default="default" name="standalone" type="standaloneType" use="optional"> <xsd:annotation> <xsd:documentation> This tells whether the resource must be emitted as a standalone resource statement (always), regardless of whether it is also generated as a resource expression, or whether it will never be emitted unless referenced by another resource (never). The default behavior is to emit it if not generated as an expression. </xsd:documentation> </xsd:annotation> </xsd:attribute>

struct

  The RSS STRUCT name to generate.

  Type: | xsd:string
  Use: | optional
  Defined: | locally, within mappingResourceType complexType

unnamed

  This tells whether to emit the resource without a name

  Type: | xsd:boolean
  Use: | optional
  Default: | "false"
  Defined: | locally, within this element

  XML Source

  <xsd:attribute default="false" name="unnamed" type="xsd:boolean" use="optional"> <xsd:annotation> <xsd:documentation> This tells whether to emit the resource without a name </xsd:documentation> </xsd:annotation> </xsd:attribute>

Content Element Detail
mapArrayMember

  Type: | embedded (extension of mappingArrayType), complex content
  Defined: | by reference, within mappingResourceType complexType

mapBitmaskMember

  Type: | embedded (extension of mappingBitmaskType), complex content
  Defined: | by reference, within mappingResourceType complexType

mapEnumMember

  Type: | embedded (extension of mappingEnumType), complex content
  Defined: | by reference, within mappingResourceType complexType

mapFixedMember

  Type: | embedded (extension of mappingFixedType), empty content
  Defined: | by reference, within mappingResourceType complexType

mapIdentifierMember

  Type: | embedded (extension of mappingIdentifierType), empty content
  Defined: | by reference, within mappingResourceType complexType

mapInstanceMember

  Type: | embedded (extension of mappingInstanceType), empty content
  Defined: | by reference, within mappingResourceType complexType

mapIntoProperty

  Type: | embedded (extension of twoWayMappingType), complex content
  Defined: | by reference, within mappingResourceType complexType

mapMemberFromType

  Type: | embedded (extension of twoWayMappingType), empty content
  Defined: | by reference, within mappingResourceType complexType

mapReferenceMember

  Type: | embedded (extension of mappingReferenceType), empty content
  Defined: | by reference, within mappingResourceType complexType

mapResourceMember

  Type: | embedded (extension of mappingResourceType), complex content
  Defined: | by reference, within mappingResourceType complexType

mapSimpleMember

  Type: | embedded (extension of mappingSimpleType), empty content
  Defined: | by reference, within mappingResourceType complexType

select

  Type: | embedded, complex content
  Defined: | by reference, within mappingResourceType complexType